Subject: Re: [mpls] nits and question on draft-ietf-mpls-spring-lsp-ping-02

From: "Acee Lindem (acee)" <[email-masked]>
Date: Sat, 11 Feb 2017 17:40:10 +0000

Hi Loa, Carlos, 

On 2/11/17, 8:29 AM, "mpls on behalf of Carlos Pignataro (cpignata)"
<[email-masked] on behalf of [email-masked]> wrote:

>Hi, Loa,
>
>> On Feb 3, 2017, at 10:54 PM, Loa Andersson <[email-masked]> wrote:
>> 
>> Working Group, authors,
>> 
>> I had a quick look at  draft-ietf-mpls-spring-lsp-ping-02, I have a few
>> small nits and questions for the authors.
>> 
>> 1. FEC is a well know abbreviation in MPLS context, but it is not
>>well-know in wider IETF context. It needs to be expanded at first
>> occurrence.
>
>Agreed.
>
>> 
>> 2. We have early allocation for this document, can you place the
>>following not in the IANA section in section 10.1.
>> 
>> "Note to the RFC Editor (please remove before publication): IANA has
>> made early allocation for sub-type 34, 35 and 35. The early allocation
>> expires 2017-09-15.²
>
>OK.
>
>> 
>> And then we create a "#Protocol" sub-registry in  "Multi-Protocol Label
>> Switching (MPLS) Label Switched Paths (LSPs) Ping Parameters" We will
>>need to define allocation policies and code point range. IMHO the policy
>> should be "Standards Action" and the code range 0-255.
>
>This is OK ‹ I would also reserve a couple of values for Experiments.
>
>> 
>> And a last question, should BGP-LS be in that registry?
>> 
>
>I guess no until someone needs it?

BGP-LS has its own set of registries.

Border Gateway Protocol - Link State (BGP-LS) Parameters

    			
    			BGP-LS NLRI-Types
<http://www.iana.org/assignments/bgp-ls-parameters/bgp-ls-parameters.xhtml#
nlri-types>
    			
    			RFC 7752 <http://www.iana.org/go/rfc7752>

Specification Required (Expert: Unassigned)

    			BGP-LS Node Descriptor, Link Descriptor, Prefix Descriptor, and
Attribute TLVs 
<http://www.iana.org/assignments/bgp-ls-parameters/bgp-ls-parameters.xhtml#
node-descriptor-link-descriptor-prefix-descriptor-attribute-tlv>
    			
    			RFC 7752 <http://www.iana.org/go/rfc7752>

Specification Required (Expert: Unassigned)

    			BGP-LS Protocol-IDs
<http://www.iana.org/assignments/bgp-ls-parameters/bgp-ls-parameters.xhtml#
protocol-ids>
    			
    			RFC 7752 <http://www.iana.org/go/rfc7752>

Specification Required (Expert: Unassigned)

    			BGP-LS Well-Known Instance-IDs
<http://www.iana.org/assignments/bgp-ls-parameters/bgp-ls-parameters.xhtml#
well-known-instance-ids>
    			
    			RFC 7752 <http://www.iana.org/go/rfc7752>

Specification Required (Expert: Unassigned)

Thanks,
Acee  

>
>Thanks,
>
>‹ Carlos.
>
>> /Loa
>> -- 
>> 
>> 
>> Loa Andersson                        email: [email-masked]
>> Senior MPLS Expert                          [email-masked]
>> Huawei Technologies (consultant)     phone: +46 739 81 21 64
>
>_______________________________________________
>mpls mailing list
>[email-masked]
>https://www.ietf.org/mailman/listinfo/mpls

---

From: "Carlos Pignataro (cpignata)" <[email-masked]>
Date: Sat, 11 Feb 2017 18:29:39 +0000

Hi, Acee,

On Feb 11, 2017, at 12:40 PM, Acee Lindem (acee) <[email-masked]<mailto:[email-masked]>> wrote:

Thanks. Yes. The question is whether to have a BGP-LS value for the MPLS LSP Ping DDMAP protocol: https://tools.ietf.org/html/draft-ietf-mpls-spring-lsp-ping-02#section-6

Thanks,

Carlos.

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Sat, 11 Feb 2017 19:02:00 +0000

Hi Carlos,

I guess I commented without knowing the context of the comment ;^) See inline.

From: "Carlos Pignataro (cpignata)" <[email-masked]<mailto:[email-masked]>>
Date: Saturday, February 11, 2017 at 1:29 PM
To: Acee Lindem <[email-masked]<mailto:[email-masked]>>
Cc: Loa Andersson <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: Re: [mpls] nits and question on draft-ietf-mpls-spring-lsp-ping-02

Hi, Acee,

In that case, it might make sense to add a code point for BGP-LS since it is the only way to advertise the SIDs (i.e, labels when MPLS SR is the data plane) for BGP EPE as described in https://www.ietf.org/id/draft-ietf-idr-bgp-prefix-sid-04.txt. However, one could argue that specifying BGP would suffice since unless you are going to specify other BGP Address Families (AFI/SAFI tuples) as individual protocols.

Thanks,
Acee

Thanks,

Carlos.

---

From: "Carlos Pignataro (cpignata)" <[email-masked]>
Date: Sat, 11 Feb 2017 19:16:47 +0000

Hi Acee,

On Feb 11, 2017, at 2:02 PM, Acee Lindem (acee) <[email-masked]<mailto:[email-masked]>> wrote:

Hi Carlos,

Hi, Acee,

That’s exactly the question — use the BGP protocol or define a new BGP-LS?

To me though, until someone sits down to do the BGP EPE LSP Ping analysis, we should not assume one way or another.

Thanks,

Carlos.

Thanks,
Acee

Thanks,

Carlos.

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Sat, 11 Feb 2017 21:59:19 +0000

Hi Carlos,

Date: Saturday, February 11, 2017 at 2:16 PM

Hi Acee,

Hi Carlos,

Hi, Acee,

That's exactly the question - use the BGP protocol or define a new BGP-LS?

I'd vote to just use BGP rather than setting the precedent of a separate protocol ID for an AFI/SAFI - are we going to have a protocol ID for BGP L3VPN or BGP EVPN? I guess the question is, from an OAM perspective, how is the DDMAP protocol going to be used?

Thanks,
Acee

Thanks,

Carlos.

Thanks,
Acee

Thanks,

Carlos.

---

From: "Carlos Pignataro (cpignata)" <[email-masked]>
Date: Sat, 11 Feb 2017 22:25:23 +0000

I agree, Acee.

From: "Acee Lindem (acee)" <[email-masked]>
Date: Saturday, February 11, 2017 at 4:59 PM
To: Carlos Pignataro <[email-masked]>
Cc: Loa Andersson <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: Re: [mpls] nits and question on draft-ietf-mpls-spring-lsp-ping-02

Hi Carlos,

Hi Acee,

Hi Carlos,

Hi, Acee,

I’d vote to just use BGP rather than setting the precedent of a separate protocol ID for an AFI/SAFI – are we going to have a protocol ID for BGP L3VPN or BGP EVPN? I guess the question is, from an OAM perspective, how is the DDMAP protocol going to be used?

Thanks,
Acee

Thanks,

Carlos.

Thanks,
Acee

Thanks,

Carlos.

---

From: Loa Andersson <[email-masked]>
Date: Sun, 12 Feb 2017 11:00:54 +0800

Carlos and Acee,

OK - I agree.

Authors,

can you update the document with the other changes discussed?

/Loa

/Loa

On 2017-02-12 06:25, Carlos Pignataro (cpignata) wrote:
> I agree, Acee.
>
>
>
> *From: *"Acee Lindem (acee)" <[email-masked]>
> *Date: *Saturday, February 11, 2017 at 4:59 PM
> *To: *Carlos Pignataro <[email-masked]>
> *Cc: *Loa Andersson <[email-masked]>, "[email-masked]" <[email-masked]>,
> "[email-masked]" <[email-masked]>,
> "[email-masked]"
> <[email-masked]>
> *Subject: *Re: [mpls] nits and question on
> draft-ietf-mpls-spring-lsp-ping-02
>
>
>
> Hi Carlos,
>
>
>
> *From: *"Carlos Pignataro (cpignata)" <[email-masked]
> <mailto:[email-masked]>>
> *Date: *Saturday, February 11, 2017 at 2:16 PM
> *To: *Acee Lindem <[email-masked] <mailto:[email-masked]>>
> *Cc: *Loa Andersson <[email-masked] <mailto:[email-masked]>>, "[email-masked]
> <mailto:[email-masked]>" <[email-masked] <mailto:[email-masked]>>,
> "[email-masked] <mailto:[email-masked]>"
> <[email-masked] <mailto:[email-masked]>>,
> "[email-masked]
> <mailto:[email-masked]>"
> <[email-masked]
> <mailto:[email-masked]>>
> *Subject: *Re: [mpls] nits and question on
> draft-ietf-mpls-spring-lsp-ping-02
>
>
>
>     Hi Acee,
>
>
>
>         *From: *"Carlos Pignataro (cpignata)" <[email-masked]
>         <mailto:[email-masked]>>
>         *Date: *Saturday, February 11, 2017 at 1:29 PM
>         *To: *Acee Lindem <[email-masked] <mailto:[email-masked]>>
>         *Cc: *Loa Andersson <[email-masked] <mailto:[email-masked]>>,
>         "[email-masked] <mailto:[email-masked]>" <[email-masked]
>         <mailto:[email-masked]>>, "[email-masked]
>         <mailto:[email-masked]>" <[email-masked]
>         <mailto:[email-masked]>>,
>         "[email-masked]
>         <mailto:[email-masked]>"
>         <[email-masked]
>         <mailto:[email-masked]>>
>         *Subject: *Re: [mpls] nits and question on
>         draft-ietf-mpls-spring-lsp-ping-02
>
>
>
>             Hi, Acee,
>
>                 On Feb 11, 2017, at 12:40 PM, Acee Lindem (acee)
>                 <[email-masked] <mailto:[email-masked]>> wrote:
>
>
>
>             Thanks. Yes. The question is whether to have a BGP-LS value
>             for the MPLS LSP Ping DDMAP
>             protocol: https://tools.ietf.org/html/draft-ietf-mpls-spring-lsp-ping-02#section-6
>
>
>
>         In that case, it might make sense to add a code point for BGP-LS
>         since it is the only way to advertise the SIDs (i.e, labels when
>         MPLS SR is the data plane) for BGP EPE as described
>         in https://www.ietf.org/id/draft-ietf-idr-bgp-prefix-sid-04.txt.
>         However, one could argue that specifying BGP would suffice since
>         unless you are going to specify other BGP Address Families
>         (AFI/SAFI tuples) as individual protocols.
>
>
>
>
>
>     To me though, until someone sits down to do the BGP EPE LSP Ping
>     analysis, we should not assume one way or another.
>
>
>
> I’d vote to just use BGP rather than setting the precedent of a separate
> protocol ID for an AFI/SAFI – are we going to have a protocol ID for BGP
> L3VPN or BGP EVPN? I guess the question is, from an OAM perspective, how
> is the DDMAP protocol going to be used?
>
>
>
> Thanks,
>
> Acee
>
>
>
>
>
>
>
>
>
>
>
>
>
>     Thanks,
>
>
>
>     Carlos.
>
>
>
>         Thanks,
>
>         Acee
>
>
>
>
>
>
>
>
>
>             Thanks,
>
>
>
>             Carlos.
>
>
>

--

---

From: "Nagendra Kumar Nainar (naikumar)" <[email-masked]>
Date: Sun, 12 Feb 2017 22:04:16 +0000

Loa,

Sorry about the delayed response. We will update the same in the next
revision.

Thanks,
Nagendra

On 2/11/17, 10:00 PM, "Loa Andersson" <[email-masked]> wrote:

>>             protocol:
>>https://tools.ietf.org/html/draft-ietf-mpls-spring-lsp-ping-02#section-6
>>
>>
>>
>>     That¹s exactly the question ‹ use the BGP protocol or define a new
>>     BGP-LS?
>>
>>
>>
>> I¹d vote to just use BGP rather than setting the precedent of a separate
>> protocol ID for an AFI/SAFI  are we going to have a protocol ID for BGP